% -----------------------------------------------------------------------------
%  - Die Nachtigall -
% -----------------------------------------------------------------------------
% Suivi des versions :
%  1.1 | 2020/05/23 | Creation des fichiers
%  1.4 | 2020/05/30 | Traduction du texte
%  1.5 | 2020/05/30 | Corrections et mise en forme
%  1.6 | 2020/06/03 | Suppression du Point and Click
%                     Reformatage des titres
%  1.7 | 2020/06/11 | Merge des lignes vocales
%  1.8 | 2020/06/11 | Edition des deux versions Fr-De et Fr seul
% -----------------------------------------------------------------------------
\version "2.20.0"

% ----------------------------------------------
% PARAMÈTRES DE LA PAGE
% ----------------------------------------------
\paper {
  system-system-spacing = #'((basic-distance . 10))
  ragged-last-bottom = ##f
  ragged-bottom = ##f
}

% ----------------------------------------------
% PARAMÈTRES D'ÉDITION
% ----------------------------------------------
\layout {
  \context {
    \override Stem #'neutral-direction = #'()
  }
}

\header {
  tagline = "Librement exploitable sous réserve d'en indiquer les auteurs. Un courriel d'information est toujours apprécié."
  copyright = "http://vissidarte.over-blog.com/ - davidlemarrec@online.fr - http://carnetsol.fr/"
}

% ----------------------------------------------
% INCLUDE
% ----------------------------------------------

global = {
  \key d \major
  \time 3/4
  \numericTimeSignature
}

\include "include.ly"

% ----------------------------------------------
% ÉLÉMENTS DE LA PARTITION
% ----------------------------------------------

chant =
<<
  \new Staff { \keepWithTag #'orig \melodie }
  \addlyrics { \paroles_fr }
  \addlyrics { \override Lyrics.LyricText.font-shape = #'italic \paroles_de }
>>

chant_fr =
<<
  \new Staff { \keepWithTag #'trad \melodie }
  \addlyrics { \paroles_fr }
>>

piano = \new PianoStaff \with { }
<<
  \new Staff = "right" \with { } \pianoD
  \new Staff = "left" \with { } { \clef bass \pianoG }
>>

titre = \markup {
  \fill-line {
    \center-column
    {
      \vspace #2
      \abs-fontsize #20 {"Le Rossignol" }
      \vspace #1
      \abs-fontsize #20 {"(Die Nachtigall)" }
      \vspace #1
      \abs-fontsize #16 {\italic "extrait des Frühe Lieder (n°3) - Alban BERG" }
    }
  }
}

ref_poeme = \markup {
  \fill-line {
    \column { }
    \column { }
    \right-column
    {
      \vspace #1
      \abs-fontsize #12 {"Poème de Theodor STORM" }
      \abs-fontsize #12 {"Poème français de David LE MARREC" }
      \vspace #1
    }
  }
}

partition = \score {
  <<
    \chant
    \piano
  >>
  \layout { }
}

partition_fr = \score {
  <<
    \chant_fr
    \piano
  >>
  \layout { }
}

% ----------------------------------------------
% STRUCTURE DE LA PARTITION
% ----------------------------------------------
\book {

  % Nom du fichier de sortie
  \bookOutputName "../Die Nachtigall [Fr-De - Fr]"

  \bookpart {
    \titre
    \ref_poeme
    \partition
  }

  \bookpart {
    \titre
    \ref_poeme
    \partition_fr
  }
}